API references
Search documentation... ⌘K
API references
Merchant API

List all user invitations

Retrieve a list of all email addresses that have been invited to join your merchant account. This endpoints only returns invitations that have not yet been accepted by the invited people.

Endpoint signature
This endpoint requires an API key. Read our authentication guide for more information.
POST https://api.reservepay.com/merchants/list-user-invitations HTTP/1.1
Content-Type: application/json
Accept: application/json
Authorization: Bearer <token>
{}
Returns: array
New to Reservepay? Read our guide on how to call endpoints to get started.
Response attributes
Attribute Description
invitation_id
string

The ID of the invitation. This can be used as an argument in other endpoints. E.g.: remove-invitation

email
string

The email address the invitation was sent to.

role_id
string

The ID of the role assigned to the user in the invitation.

inviter_id
string

The ID of the user who sent the invitation.

Errors common to all endpoints
UNHANDLED_ERROR

This error occurs when the server encounters an unexpected internal error that it cannot handle gracefully. This typically happens due to bugs, infrastructure issues, or edge cases that weren't anticipated during development.

INVALID_ARGUMENTS

This error occurs when the request contains invalid or missing parameters. Common cases include missing required fields, or values that don't match the expected format or type.

BAD_VERSION

This error occurs when making requests to an API version that does not exist. This commonly happens when using an outdated SDK or when the API version specified in the request URL is incorrect.

CODE SAMPLES
curl
Learn how to run these code samples in your terminal by reading our guide.